Need to remove dependency on WSDL4J 1.5.1 plugin

My company will not allow me to distribute BIRT to customers as a solution with WSDL4J 1.5.1 included because CPL 1.0 license terms are disfavored.

I tried removing the WSLD4J plugin and the WS ODA plugins. However, the report viewer plugins also have a dependency on WSDL4J through bundle dependency on AXIS.

Is there any way that I could modify/rebuild/replace the AXIS plugin so that it has an optional dependency on WSDL4J, assuming that it is not required for the report viewer functionality?

Thanks,
David

Sign In or Register to comment.